Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.admin
Class AppAdminFactory.ApplicationProcessingOptions

    java.lang.Object
      com.google.appengine.tools.admin.AppAdminFactory.ApplicationProcessingOptions

Enclosing class:
  AppAdminFactory

    public static class AppAdminFactory.ApplicationProcessingOptions

extends java.lang.Object

Options used in preparing an application directory for upload.

Constructor Summary
`AppAdminFactory.ApplicationProcessingOptions()`

Method Summary
`java.lang.String` | `getCompileEncoding()`
`java.util.Set<java.lang.String>` | `getJarSplittingExcludes()` Returns the set of suffixes of filenames that should be excluded when splitting jars.
`java.io.File` | `getJavaCompiler()` Returns an appropriate "javac" executable.
`java.io.File` | `getJavaExecutable()` Returns an appropriate "java" executable.
`boolean` | `isBatchModeSet()` Returns whether we should use batch upload
`boolean` | `isCompileJspsSet()` Returns whether we should attempt to compile JSPs
`boolean` | `isSplitJarsSet()` Returns whether we should split large jar files.
`void` | `setCompileEncoding(java.lang.String compileEncoding)`
`void` | `splitJars(boolean b)` Sets whether we should split large jar files.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppAdminFactory.ApplicationProcessingOptions

    public AppAdminFactory.ApplicationProcessingOptions()

Method Detail

### getJavaExecutable

    public java.io.File getJavaExecutable()

  Returns an appropriate "java" executable. If a prior call to `setJavaExecutable(File)` was made, that value is returned (on windows, the algorithm is forgiving if ".exe" was omitted, and will add it). If not, the system property `java.home` is used to identify the currently-running JVM, and if that directory contains a file named `bin/java` (Unix) or `bin\\java.exe` (Windows), that is returned.

  Returns:
    the Java executable, as a `File`.
  Throws:
    `java.lang.IllegalStateException` - if the java cannot be found by the heuristic above, but `setJavaExecutable(File)` has not been called, or if it has been called, but the specified file cannot be found.

### getJavaCompiler

    public java.io.File getJavaCompiler()

  Returns an appropriate "javac" executable. If a prior call to `setJavaCompiler(File)` was made, that value is returned (on windows, the algorithm is forgiving if ".exe" was omitted, and will add it). If not, the system property `java.home` is used to identify the currently-running JVM. If that pathname ends with "jre", then its parent is used instead as a hoped-for JDK root. If that directory contains a file named `bin/javac` (Unix) or `bin\\javac.exe` (Windows), that is returned.

  Returns:
    the Java compiler, as a `File`.
  Throws:
    `java.lang.IllegalStateException` - if the javac cannot be found by the heuristic above, but `setJavaCompiler(File)` has not be called, or if it has been called but the file does not exist.

### isCompileJspsSet

    public boolean isCompileJspsSet()

  Returns whether we should attempt to compile JSPs

### isBatchModeSet

    public boolean isBatchModeSet()

  Returns whether we should use batch upload

### getCompileEncoding

    public java.lang.String getCompileEncoding()

### setCompileEncoding

    public void setCompileEncoding(java.lang.String compileEncoding)

### isSplitJarsSet

    public boolean isSplitJarsSet()

  Returns whether we should split large jar files.

### splitJars

    public void splitJars(boolean b)

  Sets whether we should split large jar files.

### getJarSplittingExcludes

    public java.util.Set<java.lang.String> getJarSplittingExcludes()

  Returns the set of suffixes of filenames that should be excluded when splitting jars.

  Returns:
    a set of suffixes of filenames to exclude.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD